Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory
Class DIDLParser.RootHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.teleal.common.xml.SAXParser.Handler<DIDLContent>
              org.teleal.cling.support.contentdirectory.DIDLParser.RootHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  DIDLParser

    public class DIDLParser.RootHandler

extends org.teleal.common.xml.SAXParser.Handler<DIDLContent>

Field Summary

Fields inherited from class org.teleal.common.xml.SAXParser.Handler
`attributes, characters, instance, parent, parser`

Method Summary
`protected boolean` | `isLastElement(String uri, String localName, String qName)`
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

Methods inherited from class org.teleal.common.xml.SAXParser.Handler
`characters, endElement, getAttributes, getCharacters, getInstance, getParent, getParser, switchToParent`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `org.teleal.common.xml.SAXParser.Handler<DIDLContent>`
  Throws:
    `SAXException`

### isLastElement

    protected boolean isLastElement(String uri,
                                    String localName,
                                    String qName)

  Overrides:
    `isLastElement` in class `org.teleal.common.xml.SAXParser.Handler<DIDLContent>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.